> For the complete documentation index, see [llms.txt](https://docs.ak4y.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ak4y.com/scripts/ak4y-vending/language-files.md).

# Language Files

```lua
Config.locales["en"] = {
    game = {
        open_vending = "[E] Open Vending",
        manage_vending = "[G] Manage Vending",
    },
    ui = {
        input = "INPUT",
        panel = "PANEL",
        inputpanel_desc = "To proceed with your purchase, please type in the number that corresponds to the specific item you'd like to buy from the list displayed above. Make sure you enter the correct number to ensure you receive the desired product.",
        clear = "CLEAR",
        confirm = "CONFIRM",
        inputbottom_head = "INPUT PANEL - Quick Guilde",
        inputbottom_desc = "To begin, click on the items or use the keypad to make your selection. Be sure to check your available balance before proceeding. If you make a mistake, press delete to clear your selection. When you're ready, press buy now to complete your purchase.",
        vending = "VENDING",
        machine = "MACHINE",
        vending_desc = "A vending machine that dispenses a range of products, such as snacks, drinks, or everyday items. Users interact with the system by selecting their desired item and completing payment through an automated process.<",
        exitmenu = "EXIT FROM MENU x",
        confirm_sell = "Confirm Sell",
        cancel = "CANCEL",
        withdraw_money = "withdraw money",
        write_withdraw = "Write below the amount you wish to withdraw",
        vending_editor = "vending editor",
        editor_desc = "Easily edit vending machine positions, manage restock, withdraw earnings, and customize items on the go. Sell with confidence and confirm changes instantly.",
        editpos = "EDIT POSITION",
        restock_items = "Restock Items",
        edit_items = "Edit Items",
        sell_machine = "Sell This Machine",
    },
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ak4y.com/scripts/ak4y-vending/language-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
